@keyframes round {
    0% {
        transform: rotate(0);
    }
    100% {
        transform: rotate(360deg);
    }
}

html, body, h1, h2, h3, h4, h5, h6, p, img, ul, li, ol {
    margin: 0;
    padding: 0
}

html {
    font-family: sans-serif;
    line-height: 1.15;
    -webkit-text-size-adjust: 100%;
    -ms-text-size-adjust: 100%;
    -ms-overflow-style: scrollbar;
    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}

body {
    font-size: 14px;
    line-height: 1.5;
    font-family: -apple-system, BlinkMacSystemFont, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Segoe UI", "PingFang SC", "Hiragino Sans GB", "Microsoft YaHei", "Helvetica Neue", Helvetica, Arial, sans-serif;
    background-color: var(--background-color);
    color: var(--text-color);
    overflow-x: hidden;
    padding-top: 56px;
    font-feature-settings: "tnum";
    font-variant: tabular-nums;
    transition: all .2s;
}

h1, h2, h3, h4, h5, h6 {
    color: inherit;
    text-rendering: optimizelegibility;
}

img {
    border: none;
    filter: var(--img-filter);
}

a {
    color: inherit;
    text-decoration: none
}

a:hover {
    color: var(--primary-color);
}

li {
    list-style-type: none
}

input, textarea {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    font-size: inherit
}

.c14305546 {
    width: 1em;
    height: 1em;
    vertical-align: -0.15em;
    fill: currentColor;
    overflow: hidden;
}

.c220220ee {
    display: flex !important;
    align-items: center;
}

.c782fad7e {
    flex: 1;
}

.c511be11c {
    flex-direction: column;
    align-items: inherit;
}

.cbfb7a227 {
    justify-content: space-between;
    align-items: center;
}

.c9ca84f9b {
    cursor: pointer;
}

.c817fdc9f {
    box-shadow: var(--light-shadow);
}

.cc88a3c02 {
    text-align: center;
}

.c505e0142 {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.c505e0142 img {
    width: 1.5em;
    height: 1.5em;
    margin-right: 5px;
    border-radius: 50%;
}


#browsehappy {
    text-align: center;
    background: #ff0;
    padding: 10px 0
}

#search-trigger {
    cursor: pointer;
    font-size: 21px;
}

.c334dfc3f {
    font-weight: bold
}

.c3bf6ce72 {
    height: 15px
}

.cb1491c25 {
    font-size: inherit;
}

.cf943a728 {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.c4ed9ccc5 {
    object-fit: cover;
}

.cf2bc268a {
    display: block;
    width: 1366px;
    box-sizing: border-box;
    max-width: 100%;
    margin: 0 auto;
    padding: 0 10px;
}

.c393881ad, .fl {
    float: left
}

.c7de4c778, .fr {
    float: right
}

.c475a62e2, .c86f701bd {
    clear: both
}

.c475a62e2:after {
    content: '';
    display: block;
    clear: both
}

.ca1023035 {
    box-shadow: var(--primary-shadow) !important
}

.c49352378 {
    display: none;
}

.c029073ad {
    display: flex;
}

.c029073ad .c711e54f7 {
    list-style-type: none;
    color: inherit;
    margin-right: 15px
}

.cb6004a30 {
    display: none
}

.c046c207b {
    display: inline-block;
    line-height: 1;
    font-size: 12px;
    padding: 5px 8px;
    vertical-align: middle;
    border-radius: var(--border-radius);
    font-weight: normal
}

.c1b98b4b4 {
    color: var(--danger-color);
    background: var(--danger-bg-color);
}

.c6d964f19 {
    color: var(--primary-color);
    background: rgba(208, 208, 208, 0.3)
}

.c6a307bdf {
    margin: 15px 0;
}

.c6a307bdf .c1dfd513e {
    margin-right: 5px;
    padding: 0;
}

.c6a307bdf .c1dfd513e:after {
    content: ' >';
    margin-left: 5px;
}

.c6a307bdf .c1dfd513e:last-of-type:after {
    content: ''
}

.c182611ce {
    position: relative;
    min-height: 500px;
    margin-top: 15px;
}

.cdc5396d4 {
    box-sizing: border-box;
}

.cdc5396d4:after {
    display: block;
    content: '';
    clear: both;
}

.cdc5396d4 .c9bf02678 {
    float: left;
    width: calc(100% - 345px);
}

.cdc5396d4 .ca994ed9e {
    float: right;
    width: 330px;
    margin-left: 15px;
}

.c4118311c {
    background: #fff;
    padding: 15px 20px;
    border-bottom: 1px solid #f2f5ff
}

.c4118311c span {
    position: relative;
    display: inline-block;
    font-size: 16px;
}

.c9c448277 {
    margin: 25px auto 0;
    text-align: center
}

.c9c448277 a, .c9c448277 span {
    display: inline-block;
    text-decoration: none;
    padding: 8px 15px;
    box-sizing: border-box;
    margin: 0 2px;
    background-color: var(--front-dark-bg-color);
    color: #606266;
    min-width: 30px;
    border-radius: var(--border-radius);
}

.c9c448277 span, .c9c448277 a:hover {
    background-color: var(--primary-color);
    color: #fff
}

.c33ee03ed {
    clear: both
}

.cca47e484 {
    margin-top: 30px;
    padding: 30px 0;
    background-color: #131313;
    color: #9E9E9E;
    overflow: hidden
}

.cca47e484 .c369e058e {
    display: inline-block;
    margin-right: 10px;
    margin-bottom: 10px
}

.cbebf8e67 {
    text-align: center;
    padding: 30px 0;
    color: #9E9E9E;
    margin-top: 15px;
}

.c13664aa9 {
    position: fixed;
    bottom: 20px;
    right: 20px;
    z-index: 1000;
}

.c13664aa9 .c711e54f7 {
    display: block;
    text-align: center;
    background-color: #fff;
    width: 48px;
    height: 48px;
    line-height: 48px;
    position: relative;
    cursor: pointer;
    margin-bottom: 5px;
    border-radius: var(--border-radius);
    box-shadow: var(--light-shadow);
}

.c13664aa9 .c711e54f7:hover,
.c13664aa9 .c711e54f7.active {
    background-color: var(--primary-color);
}

.c13664aa9 .c711e54f7:hover .cb1491c25,
.c13664aa9 .c711e54f7.active .cb1491c25 {
    color: #fff
}

.c13664aa9 .c711e54f7:hover .c5077f8cf,
.c13664aa9 .c711e54f7.active .c5077f8cf {
    display: block;
    color: #000;
}

.c13664aa9 .c711e54f7 .c5077f8cf {
    position: absolute;
    right: 50px;
    bottom: 0;
    background: #fff;
    text-align: left;
    display: none;
    padding: 20px;
    line-height: 2;
    width: 200px;
    box-sizing: border-box;
    overflow: hidden;
    border: 1px solid #EFF2F7;
    border-radius: 4px;
    -webkit-box-shadow: 0 0 5px 0 rgba(158, 158, 158, 0.09);
    box-shadow: 0 0 5px 0 rgba(158, 158, 158, 0.09)
}

.c13664aa9 .c711e54f7 .c5077f8cf img {
    display: block;
    width: 100%;
}

.c13664aa9 .c711e54f7 .c5077f8cf li {
    display: flex;
}

.c13664aa9 .c711e54f7 .c5077f8cf li span:first-of-type {
    white-space: nowrap;
    margin-right: 10px;
}

.c13664aa9 .c63bfde01 {
    display: none
}

.c13664aa9 .cb1491c25 {
    font-size: 24px;
    color: #5a5a5a
}

.c082e9aa9 {
    padding: 0 0 20px;
    color: var(--text-color);
    text-align: center;
    border-bottom: 1px solid var(--line-color);
}

.c082e9aa9 .cb1491c25 {
    margin-right: 2px;
}

.c082e9aa9 .c711e54f7 {
    display: inline-block;
    margin-right: 15px;
    vertical-align: middle;
}

.c082e9aa9 .cac93ce91 {
    margin-top: 10px;
}

.c082e9aa9 .c781b8fed {
    color: var(--primary-color);
}

.c1f9006f1 {
    font-size: 24px;
    font-weight: bold;
    position: relative;
    color: var(--title-color);
}

.c098daad2 {
    text-align: right;
    display: flex;
    white-space: nowrap;
}

.c098daad2 .c711e54f7 {
    background: var(--background-color);
    margin-right: 10px;
    padding: 10px;
}

.c139cc4ca {
    padding: 30px 0;
    line-height: 2;
    font-size: 16px;
    word-break: break-word;
    background: var(--front-bg-color);
}

.c139cc4ca .cf049b3f1 {
    background: var(--front-dark-bg-color);
    padding: 15px 20px;
    margin-bottom: 2em;
    border-radius: var(--border-radius);
}

.c139cc4ca .cf049b3f1 p {
    margin-bottom: 0;
    line-height: 2;
}

.c139cc4ca p {
    font-size: 17px;
}

.c139cc4ca p {
    margin-bottom: 1em
}

.c139cc4ca h1, .c139cc4ca h2, .c139cc4ca h3, .c139cc4ca h4, .c139cc4ca h5, .c139cc4ca h6 {
    word-break: break-all;
    color: var(--title-color);
    background: linear-gradient(to bottom, transparent 75%, rgba(119, 239, 225, 0.4) 75%);
    display: inline;
}

.c139cc4ca h1 {
    font-size: 32px;
    margin-bottom: 10px;
}

.c139cc4ca h1:after,
.c139cc4ca h2:after,
.c139cc4ca h3:after,
.c139cc4ca h4:after,
.c139cc4ca h5:after,
.c139cc4ca h6:after {
    content: '';
    display: block;
}

.c139cc4ca h2 {
    width: 100%;
    padding: 5px 0;
    margin-bottom: 1em;
    box-sizing: border-box;
    font-size: 22px;
    border-radius: 4px;
}

.c139cc4ca h3, .c139cc4ca h4, .c139cc4ca h5, .c139cc4ca h6 {
    font-weight: bold;
    font-size: 18px;
    margin: 0.5em 0
}

.c139cc4ca strong {
    font-weight: bold;
}

.c139cc4ca img {
    max-width: 100%;
    height: auto;
}

.c139cc4ca pre {
    margin: 16px 0;
    box-shadow: var(--light-shadow);
}

.c139cc4ca code {
    background-color: var(--front-dark-bg-color);
    padding: 0 10px;
    line-height: 1.5;
    border-radius: 4px;
    display: inline-block;
    font-size: 14px;
    color: var(--text-color);
}

.c139cc4ca pre code {
    background-color: inherit;
}

.c139cc4ca ol, .c139cc4ca ul {
    margin-bottom: 1em;
}

.c139cc4ca ul {
    padding-left: 20px;
}

.c139cc4ca li {
    line-height: 2
}

.c139cc4ca ul li {
    list-style-type: circle;
}

.c139cc4ca ol {
    padding-left: 30px;
}

.c139cc4ca ol li {
    list-style-type: decimal;
}

.c139cc4ca li p {
    display: inline
}

.c139cc4ca .cb03dc66d {
    background-color: var(--front-dark-bg-color);
    padding: 10px 15px;
    text-align: center;
    margin: 1em 0
}

.c139cc4ca blockquote {
    padding: 10px 20px;
    margin: 1em 0;
    color: var(--text-color);
    border-left: 5px solid var(--front-dark-bg-hover-color);
    background: var(--front-dark-bg-color);
}

.c139cc4ca blockquote p {
    margin-bottom: 0;
}

.c139cc4ca hr {
    display: block;
    border: 1px solid transparent;
    border-bottom-color: var(--line-color);
    margin: 1em 0;
}

.c139cc4ca table {
    width: 100%;
    border: 1px solid var(--line-color);
    border-collapse: collapse;
    margin-bottom: 1em;
}

.c139cc4ca table th,
.c139cc4ca table td {
    border-bottom: 1px solid var(--line-color);
    padding: 5px 10px;
    text-align: center;
}

.c139cc4ca table tr:last-of-type td {
    border-bottom: 1px solid var(--line-color);
}

.c139cc4ca table th {
    background-color: var(--line-color)
}

.c139cc4ca video {
    display: block;
    margin: 2em auto
}

.c139cc4ca a {
    color: var(--primary-color);
}

.c139cc4ca .cec2b614b {
    flex-direction: column;
    align-items: center;
    display: flex;
    text-align: center;
    padding: 50px;
    width: fit-content;
    line-height: 1.6;
    margin: 30px auto;
    border-radius: 8px;
    font-size: 22px;
    box-shadow: 0 0 1px 10px #e0e3e9, 15px 15px 10px 10px #f6f6f6;
    letter-spacing: 1em;
    position: relative;
    max-width: 100%;
    box-sizing: border-box;
    color: #000;
}

.c139cc4ca .cec2b614b p {
    font-size: inherit;
    border-bottom: 3px solid #e0e3e9;
    padding-left: 1em;
}

.c139cc4ca .cec2b614b.c516f0ce5 {
    font-size: 16px;
    letter-spacing: 0.5em;
}

.c139cc4ca a.cfcba2c11 {
    text-decoration: none;
}

.c139cc4ca .c3b0518bc {
    padding: 30px;
    text-align: center;
    background: var(--front-dark-bg-color);
    margin: 1em 0;
}

.c139cc4ca .cab4caf44 {
    padding: 30px;
    border: 2px dashed var(--line-color);
    margin: 1em 0;
    border-radius: 10px;
    display: flex;
}

.c139cc4ca .cab4caf44 .cac34a4f1 {
    flex: 1;
}

.c139cc4ca .cab4caf44 .c23fb3958 {
    width: 120px;
}

.c139cc4ca .cab4caf44 .c23fb3958 img {
    width: 100%;
    border: 5px dashed #dedede;
    border-radius: 5px;
    box-sizing: border-box;
}

.c139cc4ca .cab4caf44 .ca5d129d6 {
    display: inline-block;
    width: 220px;
    margin-right: 15px;
}

.c139cc4ca .cab4caf44 .cfcba2c11 {
    margin-top: 0;
}

.c059322bd .cf02e5700 {
    background: var(--background-color);
    padding: 7px 1em;
    text-decoration: none;
    font-size: 12px;
    margin-right: 5px;
    border-radius: 2em;
    color: var(--text-color);
    display: inline-block;
    margin-bottom: 5px;
    line-height: 1;
    font-family: monospace;
    cursor: pointer;
}

.c059322bd .cf02e5700:hover {
    background: var(--primary-color);
    color: #fff;
}

.c133acda0 .cf02e5700 {
    padding: 10px 20px;
    margin: 5px 7px;
    font-size: 1em;
    transition: all .2s ease-in-out;
}

.c133acda0 .cf02e5700:hover {
    transform: scale(1.1);
}

.cdb40758d {
    color: #5a5a5a
}

#related_log, .c1cb9e835 {
    line-height: 1.8
}

#related_log p, .c1cb9e835 p {
    margin-bottom: 0
}

#related_log .c9389f574, .c1cb9e835 .c9389f574 {
    display: inline-block
}

.cf924d5a3 {
    box-sizing: border-box;
    padding: 0 15px;
}

.cf924d5a3 h3 {
    font-weight: normal;
}

/*评论列表*/
.c581636bd .c5bf6c2d8 {
    display: block;
    box-sizing: border-box;
    margin-bottom: 10px;
    background: var(--front-dark-bg-color);
    padding: 20px;
    border-radius: var(--border-radius);
    border: 1px solid transparent;
}

.c581636bd .c5bf6c2d8 .c9627a071 {
    color: var(--light-text-color);
}

.c581636bd .c5bf6c2d8 .cd4147946 {
    margin: 10px 0
}

.c581636bd .cbc4b6ee6 {
    margin-top: 15px;
}

.c2fed7fa7 .c63a00b2f {
    width: 32.5%;
}

#comment-place {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: rgba(0, 0, 0, 0.3);
    z-index: 9999;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 20px;
    box-sizing: border-box;
}

#comment-post {
    width: 640px;
    max-width: 100%;
}

/*相关文章*/
.cb3e7072e .c76676539 .c068356ac {
    height: 150px;
}

.cb3e7072e .c76676539 .cf049b3f1 {
    display: none;
}

.cb3e7072e .c76676539 .cec7ba2f7 h3 {
    font-size: 14px;
}

.cad4d25a5 {
    cursor: pointer
}

.cad4d25a5:hover {
    color: var(--primary-color);
}

.ca6231a32 {
    margin-bottom: 15px;
    background: var(--front-bg-color);
    border-radius: 8px;
}

.ca6231a32 .c353ea4c4 {
    font-size: 28px;
    margin-bottom: 15px;
    font-weight: normal;
}

.ca6231a32 .c353ea4c4 span {
    font-size: 15px;
    margin-left: 20px;
}

.c72d7d6df {
    display: flex;
    flex-wrap: wrap;
    background: var(--front-bg-color);
    border-radius: var(--border-radius);
}

.c72d7d6df li {
    display: block;
    text-align: center;
    padding: 20px;
    width: 12.5%;
    box-sizing: border-box
}

.c72d7d6df img {
    width: 64px;
    height: 64px;
    border-radius: 50%;
}

.c72d7d6df .c3841f8b6 {
    font-size: 12px;
    white-space: nowrap;
    margin-top: 10px;
    overflow: hidden;
    text-overflow: ellipsis;
}

.ca5d129d6 {
    width: 100%;
    border: 1px solid var(--front-dark-bg-hover-color);
    padding: 10px 15px;
    line-height: 1.5;
    outline: none;
    color: inherit;
    appearance: none;
    box-sizing: border-box;
    border-radius: 4px;
    transition: all .3s;
    background: var(--front-bg-color);
}

.ca5d129d6:hover,
.ca5d129d6:focus {
    border-color: var(--primary-color);
}

.c63a00b2f {
    margin-bottom: 15px
}

.c63a00b2f label {
    display: block;
    margin-bottom: 5px
}

.c63a00b2f input, .c63a00b2f textarea {
    border-color: var(--front-dark-bg-hover-color)
}

.c63a00b2f input:focus, .c63a00b2f textarea:focus {
    background-color: var(--front-bg-color)
}

.c63a00b2f textarea {
    width: 100%
}

.c63a00b2f .c81389c40 .ca5d129d6 {
    width: 120px;
    margin-left: 10px
}

.cfcba2c11 {
    border: 1px solid var(--primary-color);
    border-radius: 4px;
    color: var(--primary-color);
    padding: 10px 20px;
    text-align: center;
    cursor: pointer;
    box-sizing: border-box;
    box-shadow: 0 0 5px 0 rgba(158, 158, 158, 0.09);
    transition: all .3s;
    font-size: 16px;
    background: var(--front-bg-color);
}

.ce5d2eabf, .caf2ebbc3 {
    color: #fff !important;
}

.ce5d2eabf {
    background: var(--primary-color)
}

.caf2ebbc3 {
    background: var(--danger-color);
    border-color: var(--danger-color);
}

.cfcba2c11:hover {
    opacity: .9;
    box-shadow: 0 1px 3px 1px rgba(158, 158, 158, 0.5)
}

.c68897d00 {
    display: block;
    width: 100%
}

.c32ff7e09 {
    background: var(--front-bg-color);
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 10;
    box-sizing: border-box;
    backdrop-filter: blur(40px);
    box-shadow: var(--light-shadow);
}

.c80ee775f {
    display: flex;
    align-items: center;
}

.c80ee775f.c35258e40 {
    padding: 0 15px;
}

.c80ee775f .c98d01f1d {
    line-height: 56px;
    font-size: 18px;
    margin-right: 50px;
    white-space: nowrap;
    display: flex;
    align-items: center;
}

.c80ee775f .c98d01f1d img {
    vertical-align: middle;
    margin-right: 10px;
    height: 32px
}

#menu {
    flex: 1;
}

.cb44664a5 {
    line-height: 56px;
    display: block;
}

.cb44664a5.c2cc140a9 {
    align-content: end;
}

.c6aa1aae6 {
    float: left;
    position: relative
}

.c6aa1aae6 a {
    padding-left: 15px;
    padding-right: 10px;
    white-space: nowrap;
    transition: all .2s;
    font-size: 15px;
}

.c6aa1aae6 .c7196c964 {
    font-size: 8px;
    margin-left: 5px;
    transition: all .2s;
}

.c6aa1aae6:hover .c7196c964,
.c6aa1aae6.active .c7196c964 {
    transform: rotate(180deg);
}

.c6aa1aae6 > a {
    display: flex;
}

.c6aa1aae6 > a:hover,
.c6aa1aae6.active > a {
    color: var(--primary-color);
}

.c6aa1aae6.active > a {
    font-weight: bold;
}

.c6aa1aae6 .c6a9dcc00 {
    position: absolute;
    right: 50%;
    margin-right: -60%;
    z-index: 999;
    background-color: var(--front-bg-color);
    color: var(--title-color);
    line-height: 2.5;
    border-radius: 10px;
    overflow: hidden;
    display: none;
    box-shadow: var(--primary-shadow);
    border: 1px solid rgba(146, 146, 146, 0.11);
    padding: 10px;
    box-sizing: border-box;
}

.c6aa1aae6 .c6a9dcc00 a:hover {
    background-color: var(--front-dark-bg-color);
    border-radius: var(--border-radius);
}

.c6aa1aae6 .c6a9dcc00 .c14305546 {
    margin-right: 10px;
}

.c6aa1aae6 .c6a9dcc00 a {
    text-align: center;
    display: block;
}

.c6aa1aae6:hover .cab993974,
.c6aa1aae6:hover .c6a9dcc00,
.c6aa1aae6 a:focus + .c6a9dcc00 {
    display: block;
}

.c477dc663 {
    display: flex;
    text-align: right;
}

.c477dc663 .cb1491c25 {
    font-size: 21px;
    margin-left: 15px;
}

.ccbea835e .c86ecb3f0 {
    text-align: center;
    font-size: 18px;
    font-weight: bold;
    border-bottom: 0;
    padding: 8px 0;
    background: linear-gradient(90deg, #1e9fff, #1e9fffad);
    color: #fff;
}

.ccbea835e .cf731b921 {
    padding: 30px 20px;
}

.c2ae6f0ee.ccbea835e {
    overflow: hidden;
    border-radius: 10px;
    max-width: 95%;
}

.ccbea835e .c7572d90d {
    text-align: center;
}

.ccbea835e:after {
    content: "";
    display: block;
    position: absolute;
    bottom: -100px;
    left: 0;
    width: 100%;
    height: 160px;
    background: rgba(255, 237, 227, .4);
    border-radius: 50%;
    z-index: -1;
}

.cab993974 {
    max-width: 360px;
    position: absolute;
    right: 50%;
    margin-right: -60%;
    z-index: 999;
    background-color: var(--front-bg-color);
    color: var(--title-color);
    line-height: 2.5;
    border-radius: 10px;
    overflow: hidden;
    display: none;
    box-shadow: var(--primary-shadow);
    border-top: 1px solid rgba(146, 146, 146, 0.11);
    padding: 20px;
    box-sizing: border-box;
}

.cab993974 a:hover {
    background-color: var(--front-dark-bg-color);
}

.c7d8457ea {
    line-height: 1.5;
}

.c7d8457ea a {
    text-align: center;
    padding: 10px 15px;
    flex: 1;
    font-size: 12px;
}

.c7d8457ea .cb1491c25 {
    display: block;
    font-size: 22px;
    line-height: 1;
}

.c33f7efe8 a {
    padding: 10px;
    line-height: 1;
    font-size: 16px;
    font-weight: bold;
}

.c245cc0b6 {
    padding: 15px 0;
}

.c245cc0b6 h3 {
    padding-left: 15px;
    margin-top: 10px;
}

.c245cc0b6 li {
    background: var(--front-dark-bg-color);
    margin-bottom: 5px;
    border-radius: 6px;
}

.c245cc0b6 li:last-of-type {
    border-bottom: none;
}

.c245cc0b6 li a {
    padding: 5px 15px;
    text-overflow: ellipsis;
    overflow: hidden;
    display: block;
    font-size: 12px;
    line-height: 1.5;
}

.c245cc0b6 li a:hover {
    color: inherit;
}

.c245cc0b6 li .c3841f8b6 {
    font-weight: bold;
    padding: 10px 0;
}

.c245cc0b6 li .c5fea67c4 {
    color: var(--title-color);
    padding-bottom: 5px;
}

.ca6f88c6e .cb1491c25:hover {
    color: #fff;
}

.ca6f88c6e .c0b15a433:hover {
    background-color: #000;
}

.ca6f88c6e .cc8b3761e:hover {
    background-color: #3e64ff
}

.ca6f88c6e .cc12c2e9c:hover {
    background-color: #5cb85c
}

.ca6f88c6e .c27176bfa:hover {
    background-color: #FF4949
}

.ca6f88c6e .c3ea11a4f:hover {
    background-color: #00a0d2
}

.ca6f88c6e .ca43aa2a1:hover {
    background-color: #ff0000
}

/*有封面的文章列表（默认列表)*/
.c029a8dc6 {
    position: relative;
    padding: 20px 0;
    display: flex;
}

.c029a8dc6 .c432523f7 {
    width: 200px;
    height: 140px;
    margin-right: 30px;
    display: block;
    overflow: hidden;
    border-radius: var(--border-radius);
    font-size: 0;
    position: relative;
    box-shadow: var(--primary-shadow);
}

.c029a8dc6 .c432523f7 img {
    width: 100%;
    height: 100%;
    background: var(--front-dark-bg-color);
}

.c029a8dc6 .c432523f7 .c046c207b {
    font-size: 12px;
    position: absolute;
    right: 0;
    top: 0;
    z-index: 1;
    color: #fff;
    background: #ff2800;
    border-top-left-radius: 0;
    border-bottom-right-radius: 0;
}

.c029a8dc6 .c2aadb29c {
    flex: 1
}

.c029a8dc6 .c353ea4c4 h3 {
    font-size: 1.5em;
    margin-bottom: 0.5em;
    line-height: 1;
    transition: color .3s;
    display: inline-block;
    color: var(--title-color);
    font-weight: inherit;
}

.c029a8dc6 .c353ea4c4:hover h3 {
    color: var(--primary-color);
}

.c029a8dc6 .c4216e31f {
    color: #5a5a5a;
    line-height: 1.8
}

.c029a8dc6 .c4216e31f img {
    display: none
}

.c029a8dc6 .cec7ba2f7 {
    font-size: 13px;
    color: #aaacb6;
    margin-bottom: 1em
}

.c029a8dc6 .cec7ba2f7 span {
    margin-right: 10px;
    display: inline-block
}

.c8a5bc584 {
    display: block;
    text-align: center;
    padding: 15px 0;
    flex: 1;
}

.ca994ed9e {
    width: 330px;
    float: left
}

.c825d5fb1 {
    margin-bottom: 15px;
    background-color: var(--front-bg-color);
    border-radius: var(--border-radius);
    overflow: hidden;
    transition: box-shadow .2s;
    box-shadow: var(--light-shadow);
}

.c825d5fb1 li {
    padding: 10px 0
}

.c825d5fb1 h3 {
    padding: 10px 15px;
    border-bottom: 1px dashed var(--line-color);
    font-size: 16px;
    color: var(--title-color);
}

.c825d5fb1 h3 .cb1491c25 {
    margin-right: 5px;
    font-size: 1.1em;
}

.c825d5fb1 h3 .c14305546 {
    width: 1.1em;
    height: 1.1em;
    vertical-align: -0.1em;
    margin-right: 5px;
}

.c825d5fb1 ul {
    padding: 15px
}

.c825d5fb1 .c12810740 {
    padding: 15px;
    line-height: 1.8;
}

.c825d5fb1 .cf8d52c4a {
    font-size: 12px;
    font-weight: normal;
    float: right
}

.c1de55dda .c92150657 {
    display: flex;
    margin-bottom: 10px;
    align-items: center;
}

.c1de55dda .c92150657 .c9389f574 {
    color: var(--text-color);
    flex: 1;
    text-align: right;
}


.c1de55dda .cec8cf0ad li {
    padding: 12px;
    background: var(--front-dark-bg-color);
    border-radius: 10px;
    margin-bottom: 10px;
}

.c1de55dda .cec8cf0ad li:hover {
    background: var(--front-dark-bg-hover-color);
}

.c1de55dda .cec8cf0ad li a:hover {
    color: inherit;
}

.c1de55dda .ccd749963 .cd461d970 {
    position: relative;
}

.c1de55dda .ccd749963 .cd461d970 img {
    max-width: 100%;
    margin: 1em 0;
}

.c1de55dda .ccd749963 .cd4147946 {
    word-break: break-all;
}

.c1de55dda .c596d21d2 {
    margin-top: 10px;
    font-size: 12px;
    color: var(--title-color);
}

/* 图文列表*/
.c30b87851 li {
    padding: 10px;
    border-radius: 4px;
    margin-bottom: 10px;
}

.c30b87851 li:hover {
    background: var(--front-dark-bg-color);
}

.c30b87851 li a {
    display: flex;
    border-radius: var(--border-radius);
    color: var(--title-color);
}

.c30b87851 .cbb26c646 {
    width: 80px;
    height: 60px;
    padding-top: 3px;
    margin-right: 10px;
    flex-shrink: 0;
}

.c30b87851 .cbb26c646 img {
    width: 100%;
    height: 100%;
    border-radius: var(--border-radius);
    object-fit: cover;
}

.c30b87851 .c035e7aaa {
    flex: 1;
    width: 0;
}

.c30b87851 .c035e7aaa .cec7ba2f7 {
    color: var(--light-text-color);
}

.c30b87851 .c035e7aaa .cce5d6294 {
    margin: 0.5em 0;
    color: var(--light-text-color);
}

/*侧边栏-热门文章*/
.c7dfa851a li {
    display: flex;
    align-items: center;
}

.c7dfa851a a {
    flex: 1;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    color: var(--title-color);
}

.c7dfa851a .c859cb2d2 {
    display: inline-block;
    width: 20px;
    height: 18px;
    line-height: 18px;
    margin-right: 8px;
    text-align: center;
    color: var(--light-text-color);
    border-radius: 4px
}

.c7dfa851a .top-0,
.c7dfa851a .top-1,
.c7dfa851a .top-2 {
    font-weight: bold;
    color: #FF4949;
    font-size: 20px;
}

.c7dfa851a .c0296efe6 {
    width: 65px;
    text-align: right;
}

/* 侧边栏-普通列表模块 */
.c640443da ul {
    display: flex;
    flex-wrap: wrap;
}

.c640443da ul li {
    width: 50%;
    padding: 2px;
    box-sizing: border-box;
    margin-bottom: 2px;
}

.c640443da ul li.cbcbbfa4e {
    width: 100%;
    margin: 5px 0;
}

.c640443da ul li.cbcbbfa4e a {
    background-repeat: no-repeat;
    background-size: cover;
    background-color: var(--front-dark-bg-color);
    color: var(--header-color);
    min-height: 120px;
    align-items: center;
    display: flex;
    justify-content: center;
    font-size: 18px;
}

.c640443da ul li a {
    display: block;
    padding: 10px 12px;
    box-sizing: border-box;
    color: var(--title-color);
    background-color: var(--front-dark-bg-color);
    border-radius: var(--border-radius);
    overflow: hidden;
}

.c640443da ul li a:hover {
    background-color: var(--front-dark-bg-hover-color);
}

.ce7bb4bad {
    background-size: 100% 130px;
    text-align: center;
    padding-top: 83px;
    position: relative
}

.ce7bb4bad .c01fea38f {
    position: absolute;
    top: 0;
    left: 0;
    content: '';
    display: block;
    width: 100%;
    height: 130px;
    background: #f7f9ff url("../images/shan.png") no-repeat;
    z-index: 0;
    filter: opacity(0.1) blur(1px);
}

.ce7bb4bad .cb5d53618 {
    font-size: 22px;
    display: inline-block;
    color: var(--title-color);
}

.ce7bb4bad .ca6f88c6e {
    margin: 15px 0;
}

.ce7bb4bad .cce5d6294 {
    position: relative;
    padding: 0 20px 20px;
    z-index: 1
}

.ce7bb4bad .cce5d6294 p {
    text-align: center;
    color: var(--text-color)
}

.ce7bb4bad .cb1491c25 {
    font-size: 18px;
    margin: 0 5px;
    background: var(--background-color);
    border-radius: 50%;
    padding: 8px;
}

/* 侧边栏-搜索 */
.c8b745f97 #logsearch {
    padding: 15px;
}

/*侧边栏-日历*/
#calendar .cec4627b2,
#calendar .c0aab56bf {
    position: relative;
    background: var(--front-dark-bg-color);
}

#calendar .cec4627b2 {
    background: var(--primary-color);
    color: var(--front-bg-color);
    border-radius: 50%;
    box-shadow: var(--light-shadow);
}

#calendar .c308a4b6b {
    width: 100%;
    text-align: center
}

#calendar .c308a4b6b td {
    width: 50%;
    padding: 16px 0;
}

#calendar .c4f4651a6 {
    width: 100%;
    padding: 0 20px 20px
}

#calendar .c4f4651a6 td {
    text-align: center;
    line-height: 39px;
}

#calendar .c4f4651a6 td a {
    font-weight: bold;
    display: block;
    z-index: 2;
    position: relative;
}

/* 侧边栏-随机文章 */
.c5f60a224 img {
    width: 100%;
    flex: 1;
}

.c5f60a224 #log_url {
    display: flex;
    flex-direction: column;
    background: #eee;
    height: 220px;
    overflow: hidden;
    justify-content: center;
}

.c5f60a224 img[src=''] {
    display: none;
}

.c5f60a224 .cec7ba2f7 {
    background: var(--front-bg-color);
    padding: 20px 15px;
    box-sizing: border-box;
}

.c5f60a224 .cec7ba2f7 .c220220ee {
    justify-content: space-between;
    align-items: center;
}

.c5f60a224 .c4110a66a {
    display: inline-block;
    width: 24px;
    height: 24px;
    text-align: center;
    line-height: 24px;
    font-size: 20px;
}

.c5f60a224 .c4110a66a:hover {
    cursor: pointer;
    border-radius: 6px;
    color: #fff;
    background: var(--primary-color);
}

.c2c65a5fa {
    font-size: 16px;
    margin-bottom: 20px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.cc600c262 {
    border: 1px solid var(--line-color);
    padding: 3px 10px;
    border-radius: 6px;
    color: #666;
    transition: all .2s;
}

.cc600c262:hover {
    border-color: var(--primary-color);
}

.loading {
    animation: round 1s infinite;
}

.c5c6d7409 {
    position: relative;
}

.c5c6d7409:after {
    content: '';
    position: absolute;
    top: 38.2%;
    left: 0;
    right: 0;
    bottom: 0;
    background: linear-gradient(0, rgba(0, 0, 0, .4), transparent);
}

.c76676539 {
    background: var(--front-bg-color);
    transition: box-shadow .3s;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    position: relative;
    box-sizing: border-box;
    border-radius: var(--border-radius);
    box-shadow: var(--light-shadow);
}

.c76676539 .c068356ac {
    display: flex;
    align-items: center;
    height: 164px;
    overflow: hidden;
    position: relative;
    transition: all .5s;
}

.c76676539 .c068356ac:hover {
    opacity: .8
}

.c76676539 .c068356ac img {
    transition: transform .2s;
}

.c76676539 .c068356ac:hover img {
    transform: scale(1.05);
}

.c76676539 .c8f1050b4 {
    padding: 10px 15px;
    width: 100%;
    box-sizing: border-box;
    border-top: 1px solid var(--line-color);
}

.cc480fcbf {
    padding: 30px;
    position: relative;
}

.ca6d9d190 {
    padding: 15px 30px 12px;
    font-weight: bold;
    font-size: 16px;
    border-bottom: 1px dashed var(--line-color);
}

.c3a62f0d3 {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 9999
}

.c3a62f0d3 .ca1023035 {
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5)
}

.c3a62f0d3 .cc4ab3271 {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translateX(-50%) translateY(-50%);
    background-color: var(--front-bg-color);
    height: 60%
}

.c3a62f0d3 .cc4ab3271 img {
    display: none;
    height: 100%
}

.c3a62f0d3 .cc4ab3271 img.active {
    display: block
}

.c3a62f0d3 .cf933a5dd {
    background-color: var(--front-bg-color);
    position: absolute;
    right: 0;
    top: 50%;
    transform: translateY(-50%);
    width: 50px
}

.c3a62f0d3 .cf933a5dd .cb1491c25 {
    display: block;
    height: 50px;
    line-height: 50px;
    text-align: center;
    font-size: 20px
}

.c3a62f0d3 .cf933a5dd .cb1491c25:hover {
    background-color: #E5E9F2;
    cursor: pointer
}

.c12c5c265 {
    padding: 20px 0 40px;
}

.c12c5c265 form {
    width: 50%;
    margin: 0 auto;
    display: flex;
    box-shadow: var(--primary-shadow);
}

.c12c5c265 form input {
    flex: 1;
    height: 50px;
    padding: 10px 16px;
    font-size: 15px;
    background-color: var(--front-bg-color);
    box-sizing: border-box;
    border: 1px solid var(--front-dark-bg-hover-color);
    border-radius: 6px 0 0 6px;
    color: var(--text-color);
    outline: none;
}

.c12c5c265 form button {
    width: 100px;
    background: var(--primary-color);
    border: none;
    color: rgba(255, 255, 255, .8);
    cursor: pointer;
    border-radius: 0 6px 6px 0;
}

.c12c5c265 form button:hover {
    opacity: .9;
}

.c12c5c265 .c4f00ed3c {
    width: 50%;
    display: block;
    padding: 10px 0 0 0;
    margin: 0 auto;
}

.c12c5c265 .c4f00ed3c li {
    display: inline-block;
    margin-right: 15px;
    cursor: pointer;
}

.c12c5c265 .c4f00ed3c li:hover {
    color: var(--primary-color);
}

.c3bd03a23 {
    position: fixed;
    left: 0;
    right: 0;
    top: 0;
    z-index: 10000;
    width: 100%;
    height: 100%;
    padding: 30px;
    box-sizing: border-box;
    background: rgba(0, 0, 0, 0.3);
    backdrop-filter: blur(100px);
    display: none;
    align-items: center;
    justify-content: center;
}

.c3bd03a23 .cf043a3ba {
    width: 800px;
    padding-bottom: 100px;
    max-width: 100%;
}

.c3bd03a23 form {
    position: relative;
}

.c3bd03a23 form .cfcba2c11 {
    position: absolute;
    top: 8px;
    right: 10px;
    border-radius: 2em;
}

.c3bd03a23 .c059322bd {
    padding-left: 30px;
    padding-right: 30px;
}

.c5602d91e {
    width: 100%;
    padding: 20px 130px 20px 30px;
    background-color: var(--front-bg-color);
    box-sizing: border-box;
    border-radius: 2em;
    box-shadow: var(--primary-shadow);
    color: var(--text-color);
    border: none;
}

.c5602d91e:focus {
    outline: none
}

.c1f777c83 {
    padding: 30px
}

.c1f777c83 h1 {
    font-size: 28px;
    margin-bottom: 1em;
    font-weight: bold
}

.cb5ba5761 {
    border-bottom: 1px dashed var(--line-color);
    padding: 8px 0;
    display: flex;
    justify-content: space-between;
}

.cb5ba5761 a {
    flex: 1;
}

.cb5ba5761 a.cbf32ea1c {
    filter: var(--img-filter);
}

.cb5ba5761 .cec7ba2f7 {
    width: 170px;
    display: flex;
    justify-content: space-between;
    white-space: nowrap;
}

.cb5ba5761 .cec7ba2f7 a {
    padding-left: 15px;
    text-align: center;
    margin-right: 10px;
    height: fit-content;
}

.cb5ba5761 .cc4951ec5 {
    color: var(--primary-color);
    margin: 0 3px
}

.c72bcb31a {
    background: var(--front-dark-bg-hover-color) repeat center;
    background-size: contain;
    color: var(--header-color);
    box-sizing: border-box;
}

.c72bcb31a .cf2bc268a {
    display: flex;
}

.c72bcb31a .cc03cec58 {
    padding: 80px 0;
    backdrop-filter: blur(20px);
}

.c72bcb31a .cb5d53618 {
    font-size: 2em;
    line-height: 1;
    margin-bottom: 10px;
    color: var(--header-color);
}

.c72bcb31a .c029073ad {
    margin-top: 5px;
}

.c72bcb31a .cf4ea0134 {
    font-weight: bold;
    font-size: 1.2em;
}

.c416064c8 {
    width: 76px;
    height: 76px;
    position: relative;
    background-color: var(--front-bg-color);
    border-radius: 50%;
    padding: 8px;
    box-sizing: border-box;
    line-height: 60px;
    font-size: 38px;
    margin: 0 auto;
    display: block;
}

.c416064c8 img {
    width: 100%;
    height: 100%;
    border-radius: 50%;
    transition: all 3s;
    animation: round 5s infinite linear;
}


.cb63e13a6 {
    border-radius: var(--border-radius);
    overflow: hidden;
}

.cb63e13a6 .c0019b70d {
    height: 480px;
    overflow: hidden;
    position: relative;
}

.cb63e13a6 .cc7ab7418 {
    box-sizing: border-box;
    background-color: var(--front-bg-color);
    filter: var(--swiper-filter);
}

.cb63e13a6 .cc7ab7418 a {
    position: relative;
    display: block;
    height: 100%;
    background-size: cover;
}

.cb63e13a6 .cf8926ce4 {
    text-align: left;
    box-sizing: border-box;
    padding-right: 20px;
    padding-left: 20px;
}

.cb63e13a6 .c87be2868 {
    -webkit-transition: width .3s;
    transition: width .3s;
    background: #fff;
}

.cb63e13a6 .cbaba40e4 {
    width: 20px;
    border-radius: 6px
}

.cb63e13a6 .cd4e69f38 {
    background: rgba(0, 0, 0, .1);
    padding: 15px 25px 40px;
    box-sizing: border-box;
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    color: #fff;
    font-size: 16px;
    line-height: 1.5;
    backdrop-filter: blur(2px);
}

/* 首页 */
.c620f12e9 {
    overflow: hidden;
}

.c620f12e9 .c02ecf680 {
    margin-bottom: 15px;
}

.c620f12e9 .cb63e13a6 {
    margin-bottom: 0 !important;
}

.c620f12e9 .cb63e13a6 .c0019b70d {
    height: 487px;
}

.c620f12e9 .c11d33698 {
    display: flex;
}

.c620f12e9 .c11d33698 .c825d5fb1 {
    margin-bottom: 0;
    height: 100%;
}

.c620f12e9 .c72d7d6df img {
    width: 54px;
    height: 54px;
}

.c620f12e9 .c72d7d6df li {
    width: 33.33%;
    padding: 14px 0;
}

.cf0ce73bd {
    width: 330px;
}

.c6fe368a7 {
    flex: 1;
    width: calc(100% - 340px);
    box-sizing: border-box;
    padding-right: 15px;
}

.c6fe368a7 .c02ecf680,
.cf0ce73bd .c02ecf680 {
    margin-bottom: 0;
    height: 100%;
    box-sizing: border-box;
}

.c620f12e9 .cb144770c .c1458764c {
    margin-right: 20px;
    margin-bottom: 10px;
    display: inline-block;
}

.c620f12e9 .cb144770c img {
    width: 1em;
    height: 1em;
    vertical-align: middle;
    position: relative;
    top: -2px;
}

.c95ea0d08 {
    display: flex;
    justify-content: space-between;
    margin-bottom: 15px;
    margin-top: 15px;
    color: var(--title-color);
}

/*友情链接样式的卡片*/
.ce324f8fe {
    display: flex;
    flex-wrap: wrap;
    margin-left: -10px;
    margin-right: -10px;
}

.c23ab3da4 {
    width: 25%;
    padding: 10px;
    box-sizing: border-box;
}

.c23ab3da4 a {
    display: block;
    border-radius: 8px;
    background: var(--front-bg-color);
    color: var(--title-color);
    height: 100%;
    padding: 15px 15px 15px 84px;
    box-sizing: border-box;
    position: relative;
    min-height: 84px;
    box-shadow: var(--light-shadow);
}

.c23ab3da4 a:hover {
    background: var(--front-dark-bg-color);
}

.c23ab3da4 .ccd6e88de {
    width: 54px;
    height: 54px;
    border-radius: 50%;
    position: absolute;
    left: 15px;
    top: 15px;
    box-shadow: var(--light-shadow);
    background-color: #fff;
}

.c23ab3da4 .cce5d6294 {
    margin-top: 5px;
}


/* 简单模式列表 */
.cdcaba72c {
    overflow: hidden;
}

.ca11b062e {
    width: 50%;
    display: inline-block;
    box-sizing: border-box;
}

.ca11b062e:nth-of-type(2n) {
    padding-left: 1%;
}

.ca11b062e a {
    line-height: 2;
    position: relative;
    padding-right: 60px;
    display: block;
    box-sizing: border-box;
}

.ca11b062e a:hover {
    opacity: .9;
}

.ca11b062e h3 {
    font-weight: normal;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    font-size: 15px;
    color: var(--title-color);
}

.ca11b062e h3 .c608740d6 {
    margin-right: 5px;
}

.ca11b062e .c9389f574 {
    position: absolute;
    right: 0;
    top: 3px;
    text-align: right;
    font-size: 12px;
    width: 60px;
}

.ca11b062e.c781b8fed .c9389f574 {
    color: var(--primary-color);
}

.cad674dbd {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}

.cd9fce09c {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}

.cd9fce09c li {
    box-sizing: border-box;
    width: 48%;
    margin-bottom: 12px;
    border-radius: var(--border-radius);
    overflow: hidden;
}

.cd9fce09c li a {
    background: #fff;
    display: flex;
    padding: 15px;
    justify-content: space-between;
}

.c72790cff {
    background: var(--front-bg-color);
    padding: 20px;
    border-radius: var(--border-radius);
    overflow: hidden;
    box-shadow: var(--light-shadow);
}

.c19dbccaf {
    margin-bottom: 15px;
}

/* 卡片类型列表基础样式,包括卡片列表、视频列表、书籍列表 */
.c090f7ee5 {
    display: flex;
    flex-flow: row wrap;
    position: relative;
    margin: 0 -5px;
}

.c090f7ee5 .cf6206a58 {
    width: 25%;;
    box-sizing: border-box;
    padding: 0 5px 10px;
}

.c090f7ee5 a:hover {
    color: inherit;
}

.c090f7ee5 .c6fa2cd72 {
    display: block;
    height: 100%;
}

.c090f7ee5 .c76676539 {
    height: 100%;
}

.c090f7ee5 img {
    width: 100%;
    min-height: 100%;
}

.c090f7ee5 .cec7ba2f7 {
    padding: 15px;
    flex: 1;
    display: flex;
    flex-direction: column;
}

.c090f7ee5 .cec7ba2f7 h3 {
    color: var(--title-color)
}

.c090f7ee5 .cec7ba2f7 h3,
.c090f7ee5 .cec7ba2f7 .cf049b3f1 {
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
}

.c090f7ee5 .cec7ba2f7 .cf049b3f1 {
    margin-top: 5px;
    margin-bottom: 5px;
    color: var(--text-color);
    flex: 1;
}

.c090f7ee5 .cec7ba2f7 .c059322bd span {
    margin-bottom: 0;
}

/* 图书样式列表 */
.c0b53cd18 .c5c388a1f {
    padding: 10px;
}

.c0b53cd18 .c5c388a1f img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
    margin: 0 auto;
    transition: transform .3s;
    transform-origin: top;
}

.c0b53cd18 .c5c388a1f a {
    display: block;
    width: 100%;
    height: 100%;
    box-shadow: var(--primary-shadow);
    box-sizing: border-box;
    border-radius: 10px;
    transition: all .3s;
    position: relative;
    overflow: hidden;
    filter: blur(0);
}

.c0b53cd18 .c5c388a1f a:after {
    display: block;
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 50%;
    background: linear-gradient(to top, rgba(0, 0, 0, .8), rgba(0, 0, 0, 0));
    transition: height .3s;
}

.c0b53cd18 .c5c388a1f a:before {
    display: block;
    content: '';
    position: absolute;
    bottom: 0;
    right: 100%;
    width: 100%;
    height: 100%;
    background: linear-gradient(45deg, transparent, rgba(255, 255, 255, .3));
    transition: height .3s, transform .3s linear, opacity .3s;
    transform-origin: right bottom;
    opacity: 0;
    z-index: 1;
}

.c0b53cd18 .c5c388a1f .cec7ba2f7 {
    position: absolute;
    bottom: 10px;
    left: 0;
    width: 100%;
    color: #fff;
    font-size: 12px;
    white-space: nowrap;
    padding: 12px;
    box-sizing: border-box;
    z-index: 1;
    height: 36px;
    overflow: hidden;
    transition: height .3s;
}

.c0b53cd18 .c5c388a1f .cec7ba2f7 p {
    color: #eee;
    transition: opacity 0.3s ease-in;
    opacity: 0;
}

.c0b53cd18 .c5c388a1f:hover a:after {
    height: 35%;
}

.c0b53cd18 .c5c388a1f:hover .cec7ba2f7 {
    height: 48px;
}

.c0b53cd18 .c5c388a1f:hover .cec7ba2f7 p {
    opacity: 1;
}

.c0b53cd18 .c5c388a1f:hover a:before {
    transform: rotate(25deg) scale(2) translateX(10px);
    opacity: 0.9;
}

.c0b53cd18 .c5c388a1f:hover img {
    transform: scale(1.1);
}

.cff95ad27 {
    text-align: center;
    padding: 30px;
}

.cff95ad27 img {
    max-width: 100%;
    height: 50px;
}

.c3cf071ef {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 500px;
    background: var(--front-bg-color);
}

.c4fef1817 .cb47e639b {
    padding: 12px 0;
    border-radius: var(--border-radius);
    border-bottom: 1px dashed var(--line-color);
}

.c4fef1817 .cb47e639b h3 {
    margin-bottom: 10px;
    color: var(--title-color);
}

.c4fef1817 .cb47e639b .c082e9aa9 li {
    display: inline-block;
    margin-right: 15px;
}

.c756d5da2 {
    margin-bottom: 15px;
}

.c756d5da2 li {
    display: inline-block;
    line-height: 2.4;
    white-space: nowrap;
    margin-right: 10px;
    margin-bottom: 10px;
}

.c756d5da2 li a {
    padding: 8px 15px;
    border-radius: 6px;
    box-sizing: border-box;
    background: var(--front-dark-bg-color);
}

.c756d5da2 li.active a {
    background: var(--primary-color);
    color: #fff;
}

.cf7e15c2b {
    display: flex;
    justify-content: space-between;
}

.cf7e15c2b .li {
    display: inline-block;
    margin-right: 20px;
    vertical-align: middle;
}

.cf7e15c2b img {
    width: 1.5em;
    height: 1.5em;
    vertical-align: bottom;
    margin-right: 5px;
}

.ca6a8ef33 {
    padding: 15px;
    line-height: 1.2;
}

.ca6a8ef33 a {
    display: block;
    text-align: center;
    padding: 10px 15px 8px 0;
    background: var(--front-dark-bg-color);
    border-radius: 2em;
    margin: 5px;
}

.ca6a8ef33 a .cb1491c25 {
    font-size: 22px;
    vertical-align: middle;
    margin-right: 5px;
}

.ca6a8ef33 a:first-of-type {
    border-right: 1px solid var(--front-dark-bg-hover-color);
}

.ca6a8ef33 a:first-of-type,
.ca6a8ef33 a:hover {
    background: var(--primary-color);
    color: #fff;
}

.c40e2b315 {
    line-height: 1;
}

.c40e2b315 span {
    display: inline-block;
    padding: 7px;
    cursor: pointer;
    border-radius: var(--border-radius);
    background: var(--front-dark-bg-color);
    margin-right: 5px;
    margin-bottom: 5px;
    border: 1px solid var(--front-dark-bg-hover-color);
}

.c40e2b315 span:hover {
    background: var(--front-dark-bg-hover-color);
}

.c3b380ec7 {
    display: flex;
    padding: 5px !important;
    margin: 0 !important;
    font-weight: normal;
    font-size: 12px;
    background: var(--front-dark-bg-color);
    border-radius: 6px;
    line-height: 1;
}

.c3b380ec7 li {
    padding: 5px;
    cursor: pointer;
}

.c3b380ec7 li.active {
    background: var(--primary-color);
    color: #fff;
    border-radius: 6px;
}

.c38319033 {
    display: none;
}

.c38319033.active {
    display: block;
}

/*Grid System*/
.c4cbfbbc9 {
    display: flex;
    flex-wrap: wrap;
    width: 100%;
    margin: 0 auto;
}

.cd23e5b02 {
    box-sizing: border-box;
    width: 100%;
}

.cc9bb4246 {
    width: 25%;
}

.cac3a049c {
    width: 20%;
}

.c93aed7e2 {
    width: 16.66666667%;
}


@media all and (max-width: 960px) {
    .c222c4d3d {
        width: 25%;
    }

    .c790ba217 {
        flex-direction: column;
    }

    .cf2bc268a, .cdc5396d4 {
        max-width: 100%
    }

    .c620f12e9 .c02ecf680 {
        display: block;
    }

    .c72790cff {
        border-radius: 0;
    }

    .c620f12e9 .c02ecf680 .c4c0d1ead,
    .c620f12e9 .c02ecf680 .c2cc140a9 {
        width: 100%;
    }

    .cad674dbd {
        margin-top: 15px;
        white-space: nowrap;
    }

    .c80ee775f {
        justify-content: space-between;
    }

    .c620f12e9 .cb63e13a6 .c0019b70d,
    .cb63e13a6 .c0019b70d {
        height: 4rem
    }

    .c32ff7e09 .c49352378 {
        display: inline-block;
    }

    .c32ff7e09 .c98d01f1d {
        font-size: 0.3rem
    }

    .cb63e13a6 .cd4e69f38 {
        white-space: nowrap;
        text-overflow: ellipsis;
        overflow: hidden;
    }

    .cb44664a5 {
        position: fixed;
        left: 0;
        top: 0;
        display: none;
        width: 60%;
        height: 100vh;
        box-sizing: border-box;
        z-index: 997;
        line-height: 45px;
        overflow-y: auto;
        box-shadow: 0 8px 15px 0 rgba(224, 227, 233, .54);
        background: var(--background-color);
        backdrop-filter: blur(40px);
        padding-top: 50px;
    }

    .cb44664a5 li {
        float: none;
        text-align: center;
    }

    .c6aa1aae6 .c6a9dcc00 {
        position: initial;
        display: none;
        width: 100%;
        -webkit-box-shadow: none;
        box-shadow: none;
        border-left: none;
        border-right: none;
        border-radius: 0
    }

    .c6aa1aae6 span:after {
        display: none
    }

    .cdc5396d4 .c9bf02678,
    .c9bf02678 {
        float: none;
        width: 100%
    }

    .cdc5396d4 .ca994ed9e,
    .ca994ed9e {
        display: none
    }

    .cca47e484 {
        display: none
    }

    .c825d5fb1 {
        border-radius: 0;
    }

    .c13664aa9 {
        bottom: 10px;
        right: 10px;
        margin-bottom: 0;
    }

    .c13664aa9 .c711e54f7 {
        width: 1rem;
        height: 1rem;
        line-height: 1rem
    }

    /* 经典图文-移动端 */
    .c029a8dc6 {
        display: block
    }

    .c029a8dc6 .c432523f7 {
        width: 100%;
        height: 180px;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    .c029a8dc6 .c432523f7 img {
        margin: 0 auto;
        min-height: fit-content;
        display: block;
    }

    .c029a8dc6 .c2aadb29c {
        margin-top: 15px
    }

    .c029a8dc6 .cec7ba2f7 a.c25240c1e {
        display: none
    }

    .c029a8dc6 .c353ea4c4 {
        font-size: 16px
    }

    .ca6231a32 {
        border-radius: 0;
    }

    .c1f9006f1 {
        font-size: 20px;
    }

    .c63a00b2f .cfcba2c11 {
        width: 100%
    }

    .ca6d9d190 {
        padding-left: 15px
    }

    .cc480fcbf {
        padding: 15px;
    }

    .c1f777c83 {
        padding: 15px
    }

    .cb5ba5761 {
        height: auto;
        white-space: initial
    }

    .cb5ba5761 .c7de4c778 {
        display: none
    }

    .c72d7d6df li {
        width: 33.33%
    }

    .c12c5c265 form,
    .c12c5c265 .c4f00ed3c {
        width: 100%;
    }

    .c4fef1817 .cfe545722 {
        display: none;
    }

    .c4fef1817 .cb47e639b {
        border-bottom: 2px dashed var(--line-color);
    }

    .c4fef1817 .cb47e639b .c353ea4c4 {
        padding: 0;
    }

    .c4fef1817 .cb47e639b .c353ea4c4 h3 {
        font-weight: bold;
        margin-bottom: 0;
    }

    .c4fef1817 .c5fea67c4 {
        text-align: left;
        margin-top: 10px;
    }

    .ca11b062e {
        width: 100%;
    }

    .ca11b062e:nth-of-type(2n) {
        padding-left: 0;
    }

    .c4fef1817 .cb47e639b,
    .c2fed7fa7 {
        flex-direction: column;
    }

    .c2fed7fa7 .c63a00b2f {
        width: 100%;
    }

    .c139cc4ca .c3b0518bc .cfcba2c11 {
        display: block;
        margin-bottom: 10px;
    }

    .cab4caf44 {
        flex-direction: column;
    }

    .c139cc4ca .cab4caf44 .ca5d129d6 {
        width: 100%;
        margin-bottom: 10px;
    }

    .c139cc4ca .cab4caf44 .c23fb3958 {
        width: 100%;
    }

    .c6fe368a7,
    .cf0ce73bd {
        width: 100%;
        padding-right: 0;
        margin-bottom: 15px;
    }

    /* 卡片列表 */
    .c090f7ee5 {
        margin: 0;
    }

    .c090f7ee5 .cf6206a58 {
        width: 100%;
        height: auto;
    }

    .ce324f8fe {
        padding: 15px;
    }

    .c23ab3da4 {
        width: 98%;
    }

    .c082e9aa9 {
        text-align: left;
    }

    .c082e9aa9 .c711e54f7 {
        margin-right: 10px
    }

    .c581636bd .c5bf6c2d8 {
        padding: 10px;
    }
}

@media all and (max-width: 740px) {
    .c1f086b78 {
        width: 50%;
    }
}